Bug 221482 - [NEW PORT] graphics/photoqt: qt5 image viewer
Summary: [NEW PORT] graphics/photoqt: qt5 image viewer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-13 19:18 UTC by Andrew Romanenko
Modified: 2018-05-17 10:38 UTC (History)
4 users (show)

See Also:


Attachments
photoqt-1.5.1.patch (3.46 KB, patch)
2017-08-13 19:18 UTC, Andrew Romanenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2017-08-13 19:18:46 UTC
Created attachment 185366 [details]
photoqt-1.5.1.patch
Comment 1 Tobias C. Berner freebsd_committer 2018-02-11 20:51:23 UTC
Hi there

You can
  * use DISTVERSION instead of PORTVERSION (which gets derived from the first)
  * get rid of INSTALLS_ICONS, this is for GTK+ ports. 
  * uses USES=localbase instead of the ldflags.
  * I would sort the (non _build) components in USE_QT5= alphabetically.


mfg Tobias
Comment 2 Adriaan de Groot freebsd_committer 2018-04-09 18:37:49 UTC
Andrew, there's a newer version of photoqt out, 1.6. Would you update this patch / port to the new version and take tcberner@'s comments into account?
Comment 3 commit-hook freebsd_committer 2018-05-06 18:50:10 UTC
A commit references this bug:

Author: tcberner
Date: Sun May  6 18:49:50 UTC 2018
New revision: 469244
URL: https://svnweb.freebsd.org/changeset/ports/469244

Log:
  New port: graphics/photoqt -- a simple image viewer.

   * Based on a version submitted by Andrew Romanenko.

  PR:		221482
  Submitted by:	Andrew Romanenko <melanhit@gmail.com> (initial version)

Changes:
  head/graphics/Makefile
  head/graphics/photoqt/
  head/graphics/photoqt/Makefile
  head/graphics/photoqt/distinfo
  head/graphics/photoqt/pkg-descr
  head/graphics/photoqt/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2018-05-06 18:50:59 UTC
Hi there

I committed a slightly modified version for 1.6 now.

mfg Tobias
Comment 5 Thanos 2018-05-17 10:38:45 UTC
MARKED AS SPAM